# Uses of Enum
com.fasterxml.jackson.core.StreamReadFeature

Packages that use StreamReadFeature
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.

## Uses of StreamReadFeature in com.fasterxml.jackson.core

Methods in com.fasterxml.jackson.core that return StreamReadFeature
Modifier and Type
Method
Description
`static StreamReadFeature`
StreamReadFeature.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static StreamReadFeature[]`
StreamReadFeature.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in com.fasterxml.jackson.core with parameters of type StreamReadFeature
Modifier and Type
Method
Description
`B`
TSFBuilder.`configure(StreamReadFeature f, boolean state)`
`B`
TSFBuilder.`disable(StreamReadFeature f)`
`B`
TSFBuilder.`disable(StreamReadFeature first, StreamReadFeature... other)`
`B`
TSFBuilder.`enable(StreamReadFeature f)`
`B`
TSFBuilder.`enable(StreamReadFeature first, StreamReadFeature... other)`
`final boolean`
JsonFactory.`isEnabled(StreamReadFeature f)`
Method for checking if the specified stream read feature is enabled.
`boolean`
JsonParser.`isEnabled(StreamReadFeature f)`
Method for checking whether specified `JsonParser.Feature` is enabled.
`abstract boolean`
TokenStreamFactory.`isEnabled(StreamReadFeature f)`